-- ----------------------------
-- 行业目录表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_certificate_industry`;
CREATE TABLE mortals_xhx_certificate_industry(
    `id` bigint(20)   AUTO_INCREMENT  COMMENT '序号，主键，自增长',
    `parentId` bigint(20) NOT NULL    COMMENT '父级id',
    `industryName` varchar(64) NOT NULL    COMMENT '行业名称',
    `createUserId` bigint(20) NOT NULL    COMMENT '创建用户',
    `createTime` datetime NOT NULL    COMMENT '创建时间',
    `updateUserId` bigint(20)     COMMENT '更新用户',
    `updateTime` datetime     COMMENT '更新时间',
PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='行业目录';

-- ----------------------------
-- 证照分类表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_certificate_classify`;
CREATE TABLE mortals_xhx_certificate_classify(
    `id` bigint(20)   AUTO_INCREMENT  COMMENT '序号，主键，自增长',
    `classifyName` varchar(64) NOT NULL    COMMENT '分类名称',
    `sort` int(4)     COMMENT '排序号',
    `total` int(8)     COMMENT '打印次数',
    `showFront` tinyint(2)     COMMENT '是否首页展示0：否1是',
    `classifyType` tinyint(2)     COMMENT '证照类型，1：普通，2：正副本',
    `createUserId` bigint(20) NOT NULL    COMMENT '创建用户',
    `createTime` datetime NOT NULL    COMMENT '创建时间',
    `updateUserId` bigint(20)     COMMENT '更新用户',
    `updateTime` datetime     COMMENT '更新时间',
PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='证照分类';

-- ----------------------------
-- 证照目录表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_certificate_catalog`;
CREATE TABLE mortals_xhx_certificate_catalog(
    `id` bigint(20)   AUTO_INCREMENT  COMMENT '序号，主键，自增长',
    `catalogName` varchar(64) NOT NULL    COMMENT '目录名称',
    `catalogCode` varchar(64) NOT NULL    COMMENT '目录编号',
    `holderType` tinyint(2) NOT NULL    COMMENT '持有者类型，1：自然人；2：法人；3：自然人，法人',
    `industryId` bigint(20) NOT NULL    COMMENT '所属行业',
    `classifyId` bigint(20) NOT NULL    COMMENT '所属分类',
    `transverse` int(8) NOT NULL    COMMENT '横向尺寸(单位mm)',
    `portrait` int(8) NOT NULL    COMMENT '纵向尺寸(单位mm)',
    `inspect` tinyint(2) NOT NULL    COMMENT '是否需要年检，0：否1：是',
    `oriFileName` varchar(64)     COMMENT '证照模板正本文件名称',
    `originalUrl` varchar(128)     COMMENT '证照模板正本文件地址',
    `oriFormContent` text     COMMENT '证照模板正本表单内容',
    `dupFileName` varchar(64)     COMMENT '证照模板副本文件名称',
    `duplicateUrl` varchar(128)     COMMENT '证照模板副本文件地址',
    `dupFormContent` text     COMMENT '证照模板副本表单内容',
    `exampleUrl` varchar(128)     COMMENT '证照示例图地址',
    `status` tinyint(2)     COMMENT '证照状态，0：禁用1：启用',
    `createUserId` bigint(20) NOT NULL    COMMENT '创建用户',
    `createTime` datetime NOT NULL    COMMENT '创建时间',
    `updateUserId` bigint(20)     COMMENT '更新用户',
    `updateTime` datetime     COMMENT '更新时间',
PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='证照目录';

-- ----------------------------
-- 证照柜设备表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_device`;
CREATE TABLE mortals_xhx_device(
    `id` bigint(20)   AUTO_INCREMENT  COMMENT '序号，主键，自增长',
    `deviceName` varchar(64) NOT NULL    COMMENT '设备名称',
    `deviceCode` varchar(128)     COMMENT '设备编码',
    `deviceType` tinyint(2)     COMMENT '设备类型1证照柜',
    `deviceMac` varchar(64)     COMMENT 'Mac地址',
    `deviceFirmname` varchar(20)     COMMENT '设备厂商',
    `ip` varchar(64)     COMMENT '设备IP地址',
    `port` varchar(64)     COMMENT '端口号',
    `resolution` varchar(64)     COMMENT '设备分辨率',
    `leadingOfficial` varchar(64)     COMMENT '负责人',
    `telephone` varchar(64)     COMMENT '负责人电话',
    `longitude` varchar(64)     COMMENT '设备经度',
    `latitude` varchar(64)     COMMENT '设备纬度',
    `building` tinyint(2)     COMMENT '所在楼宇',
    `floor` tinyint(2)     COMMENT '所在楼层',
    `managePWD` varchar(64)     COMMENT '管理员密码',
    `remark` varchar(128)     COMMENT '备注',
    `status` tinyint(2)     COMMENT '设备状态，0：未激活，1：离线:2：在线',
    `enabled` tinyint(2)     COMMENT '启停状态，0：停用,1：启用',
    `createUserId` bigint(20) NOT NULL    COMMENT '创建用户',
    `createTime` datetime NOT NULL    COMMENT '创建时间',
    `updateUserId` bigint(20)     COMMENT '更新用户',
    `updateTime` datetime     COMMENT '更新时间',
PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='证照柜设备';

-- ----------------------------
-- 证照申请表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_apply_log`;
CREATE TABLE mortals_xhx_apply_log(
    `id` bigint(20)   AUTO_INCREMENT  COMMENT '序号，主键，自增长',
    `certificateCode` varchar(128)     COMMENT '证件编号',
    `certificateName` varchar(128)     COMMENT '证件名称',
    `issueTime` datetime     COMMENT '颁发时间',
    `pickerName` varchar(128)     COMMENT '取件人姓名',
    `pickerIDCardNo` varchar(64)     COMMENT '取件人证件号码',
    `holderType` tinyint(2) NOT NULL    COMMENT '持有者类型，1：自然人，2：法人，3：自然人法人',
    `holderIdType` tinyint(2) NOT NULL    COMMENT '持有者证件类型，1：身份证，2：组织机构代码等',
    `holderName` varchar(64) NOT NULL    COMMENT '持有者名称',
    `holderIDCardNo` varchar(64)     COMMENT '持有者证件号码',
    `enterpriseNam` varchar(128) NOT NULL    COMMENT '企业名称',
    `validityStart` datetime     COMMENT '有效期起始',
    `validityEnd` datetime     COMMENT '有效期截止',
    `privateID` varchar(128)     COMMENT '专网ID',
    `originalUrl` varchar(128)     COMMENT '正本附件地址',
    `oriFormContent` text NOT NULL    COMMENT '证照模板正本表单内容',
    `duplicateUrl` varchar(128)     COMMENT '副本附件地址',
    `dupFormContent` text NOT NULL    COMMENT '证照模板副本表单内容',
    `createUserId` bigint(20) NOT NULL    COMMENT '创建用户',
    `createTime` datetime NOT NULL    COMMENT '创建时间',
    `updateUserId` bigint(20)     COMMENT '更新用户',
    `updateTime` datetime     COMMENT '更新时间',
PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='证照申请';

-- ----------------------------
-- 证照持有表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_retain_log`;
CREATE TABLE mortals_xhx_retain_log(
    `id` bigint(20)   AUTO_INCREMENT  COMMENT '序号，主键，自增长',
    `catalogCode` varchar(64) NOT NULL    COMMENT '证照目录编号',
    `certificateName` varchar(64) NOT NULL    COMMENT '证照名称',
    `certificateCode` varchar(64) NOT NULL    COMMENT '证照编号',
    `enterpriseNam` varchar(128) NOT NULL    COMMENT '企业名称',
    `holderName` varchar(64) NOT NULL    COMMENT '持有者姓名',
    `holderIDCardNo` varchar(64)     COMMENT '持有者证件号码',
    `certificateStatus` tinyint(2) NOT NULL    COMMENT '证照状态，1正常2注销',
    `originalCount` int(4) NOT NULL    COMMENT '正本数',
    `duplicateCount` int(4) NOT NULL    COMMENT '副本数',
    `originalUrl` varchar(128)     COMMENT '正本附件地址',
    `duplicateUrl` varchar(128)     COMMENT '副本附件地址',
    `createUserId` bigint(20) NOT NULL    COMMENT '创建用户',
    `createTime` datetime NOT NULL    COMMENT '创建时间',
    `updateUserId` bigint(20)     COMMENT '更新用户',
    `updateTime` datetime     COMMENT '更新时间',
PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='证照持有';

-- ----------------------------
-- 证照打印记录表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_xhx_print_log`;
CREATE TABLE mortals_xhx_print_log(
    `id` bigint(20)   AUTO_INCREMENT  COMMENT '序号，主键，自增长',
    `catalogCode` varchar(64) NOT NULL    COMMENT '证照目录编号',
    `certificateName` varchar(64) NOT NULL    COMMENT '证照名称',
    `certificateCode` varchar(64) NOT NULL    COMMENT '证照编号',
    `enterpriseNam` varchar(128) NOT NULL    COMMENT '企业名称',
    `holderName` varchar(64) NOT NULL    COMMENT '持有者姓名',
    `holderIDCardNo` varchar(64)     COMMENT '持有者证件号码',
    `pickerName` varchar(128)     COMMENT '取件人姓名',
    `pickerIDCardNo` varchar(64)     COMMENT '取件人证件号码',
    `originalCount` int(4) NOT NULL    COMMENT '正本数',
    `duplicateCount` int(4) NOT NULL    COMMENT '副本数',
    `printStatus` tinyint(2) NOT NULL    COMMENT '打印状态1打印成功2失败',
    `printDate` datetime NOT NULL    COMMENT '打印时间',
    `deviceId` bigint(20)     COMMENT '打印设备',
    `createUserId` bigint(20) NOT NULL    COMMENT '创建用户',
    `createTime` datetime NOT NULL    COMMENT '创建时间',
    `updateUserId` bigint(20)     COMMENT '更新用户',
    `updateTime` datetime     COMMENT '更新时间',
PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='证照打印记录';

