package com.mortals.xhx.module.device.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.device.model.vo.DeviceVo;
/**
* 证照柜设备实体对象
*
* @author zxfei
* @date 2022-11-04
*/

public class DeviceEntity extends DeviceVo {
    private static final long serialVersionUID = 1L;

    /**
    * 设备名称
    */
    private String deviceName;
    /**
    * 设备编码
    */
    private String deviceCode;
    /**
    * 设备类型1证照柜
    */
    private Integer deviceType;
    /**
    * Mac地址
    */
    private String deviceMac;
    /**
    * 设备厂商
    */
    private String deviceFirmname;
    /**
    * 设备IP地址
    */
    private String ip;
    /**
    * 端口号
    */
    private String port;
    /**
    * 设备分辨率
    */
    private String resolution;
    /**
    * 负责人
    */
    private String leadingOfficial;
    /**
    * 负责人电话
    */
    private String telephone;
    /**
    * 设备经度
    */
    private String longitude;
    /**
    * 设备纬度
    */
    private String latitude;
    /**
    * 所在楼宇
    */
    private Integer building;
    /**
    * 所在楼层
    */
    private Integer floor;
    /**
    * 管理员密码
    */
    private String managePWD;
    /**
    * 备注
    */
    private String remark;
    /**
    * 设备状态，0：未激活，1：离线:2：在线
    */
    private Integer status;
    /**
    * 启停状态，0：停用,1：启用
    */
    private Integer enabled;



    public DeviceEntity(){}
    /**
    * 获取 设备名称
    * @return String
    */
    public String getDeviceName(){
        return deviceName;
    }
    /**
    * 设置 设备名称
    * @param deviceName
    */
    public void setDeviceName(String deviceName){
        this.deviceName = deviceName;
    }
    /**
    * 获取 设备编码
    * @return String
    */
    public String getDeviceCode(){
        return deviceCode;
    }
    /**
    * 设置 设备编码
    * @param deviceCode
    */
    public void setDeviceCode(String deviceCode){
        this.deviceCode = deviceCode;
    }
    /**
    * 获取 设备类型1证照柜
    * @return Integer
    */
    public Integer getDeviceType(){
        return deviceType;
    }
    /**
    * 设置 设备类型1证照柜
    * @param deviceType
    */
    public void setDeviceType(Integer deviceType){
        this.deviceType = deviceType;
    }
    /**
    * 获取 Mac地址
    * @return String
    */
    public String getDeviceMac(){
        return deviceMac;
    }
    /**
    * 设置 Mac地址
    * @param deviceMac
    */
    public void setDeviceMac(String deviceMac){
        this.deviceMac = deviceMac;
    }
    /**
    * 获取 设备厂商
    * @return String
    */
    public String getDeviceFirmname(){
        return deviceFirmname;
    }
    /**
    * 设置 设备厂商
    * @param deviceFirmname
    */
    public void setDeviceFirmname(String deviceFirmname){
        this.deviceFirmname = deviceFirmname;
    }
    /**
    * 获取 设备IP地址
    * @return String
    */
    public String getIp(){
        return ip;
    }
    /**
    * 设置 设备IP地址
    * @param ip
    */
    public void setIp(String ip){
        this.ip = ip;
    }
    /**
    * 获取 端口号
    * @return String
    */
    public String getPort(){
        return port;
    }
    /**
    * 设置 端口号
    * @param port
    */
    public void setPort(String port){
        this.port = port;
    }
    /**
    * 获取 设备分辨率
    * @return String
    */
    public String getResolution(){
        return resolution;
    }
    /**
    * 设置 设备分辨率
    * @param resolution
    */
    public void setResolution(String resolution){
        this.resolution = resolution;
    }
    /**
    * 获取 负责人
    * @return String
    */
    public String getLeadingOfficial(){
        return leadingOfficial;
    }
    /**
    * 设置 负责人
    * @param leadingOfficial
    */
    public void setLeadingOfficial(String leadingOfficial){
        this.leadingOfficial = leadingOfficial;
    }
    /**
    * 获取 负责人电话
    * @return String
    */
    public String getTelephone(){
        return telephone;
    }
    /**
    * 设置 负责人电话
    * @param telephone
    */
    public void setTelephone(String telephone){
        this.telephone = telephone;
    }
    /**
    * 获取 设备经度
    * @return String
    */
    public String getLongitude(){
        return longitude;
    }
    /**
    * 设置 设备经度
    * @param longitude
    */
    public void setLongitude(String longitude){
        this.longitude = longitude;
    }
    /**
    * 获取 设备纬度
    * @return String
    */
    public String getLatitude(){
        return latitude;
    }
    /**
    * 设置 设备纬度
    * @param latitude
    */
    public void setLatitude(String latitude){
        this.latitude = latitude;
    }
    /**
    * 获取 所在楼宇
    * @return Integer
    */
    public Integer getBuilding(){
        return building;
    }
    /**
    * 设置 所在楼宇
    * @param building
    */
    public void setBuilding(Integer building){
        this.building = building;
    }
    /**
    * 获取 所在楼层
    * @return Integer
    */
    public Integer getFloor(){
        return floor;
    }
    /**
    * 设置 所在楼层
    * @param floor
    */
    public void setFloor(Integer floor){
        this.floor = floor;
    }
    /**
    * 获取 管理员密码
    * @return String
    */
    public String getManagePWD(){
        return managePWD;
    }
    /**
    * 设置 管理员密码
    * @param managePWD
    */
    public void setManagePWD(String managePWD){
        this.managePWD = managePWD;
    }
    /**
    * 获取 备注
    * @return String
    */
    public String getRemark(){
        return remark;
    }
    /**
    * 设置 备注
    * @param remark
    */
    public void setRemark(String remark){
        this.remark = remark;
    }
    /**
    * 获取 设备状态，0：未激活，1：离线:2：在线
    * @return Integer
    */
    public Integer getStatus(){
        return status;
    }
    /**
    * 设置 设备状态，0：未激活，1：离线:2：在线
    * @param status
    */
    public void setStatus(Integer status){
        this.status = status;
    }
    /**
    * 获取 启停状态，0：停用,1：启用
    * @return Integer
    */
    public Integer getEnabled(){
        return enabled;
    }
    /**
    * 设置 启停状态，0：停用,1：启用
    * @param enabled
    */
    public void setEnabled(Integer enabled){
        this.enabled = enabled;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof DeviceEntity) {
            DeviceEntity tmp = (DeviceEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",deviceName:").append(getDeviceName());
        sb.append(",deviceCode:").append(getDeviceCode());
        sb.append(",deviceType:").append(getDeviceType());
        sb.append(",deviceMac:").append(getDeviceMac());
        sb.append(",deviceFirmname:").append(getDeviceFirmname());
        sb.append(",ip:").append(getIp());
        sb.append(",port:").append(getPort());
        sb.append(",resolution:").append(getResolution());
        sb.append(",leadingOfficial:").append(getLeadingOfficial());
        sb.append(",telephone:").append(getTelephone());
        sb.append(",longitude:").append(getLongitude());
        sb.append(",latitude:").append(getLatitude());
        sb.append(",building:").append(getBuilding());
        sb.append(",floor:").append(getFloor());
        sb.append(",managePWD:").append(getManagePWD());
        sb.append(",remark:").append(getRemark());
        sb.append(",status:").append(getStatus());
        sb.append(",enabled:").append(getEnabled());
        return sb.toString();
    }

    public void initAttrValue(){

            this.deviceName = "";

            this.deviceCode = "";

            this.deviceType = 1;

            this.deviceMac = "";

            this.deviceFirmname = "";

            this.ip = "";

            this.port = "";

            this.resolution = "";

            this.leadingOfficial = "";

            this.telephone = "";

            this.longitude = "";

            this.latitude = "";

            this.building = null;

            this.floor = null;

            this.managePWD = "";

            this.remark = "";

            this.status = 0;

            this.enabled = 0;
    }
}